> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve user logo

> Retrieve the logo file for the current user as raw bytes.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/watermarks/logo
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/watermarks/logo:
    get:
      tags:
        - Watermarks
      summary: Retrieve user logo
      description: Retrieve the logo file for the current user as raw bytes.
      responses:
        '200':
          content:
            image/*:
              schema:
                format: binary
                type: string
          description: Logo file retrieved successfully
        '401':
          description: Unauthorized
        '404':
          description: Logo not found for user
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````